users
View your Datafiniti account information and status.
curl -X GET "https://api.datafiniti.co/v3/users" \
-H "Content-Type: application/json" \
-H "Authorization: Basic YOUR_CREDENTIALS"
import requests
import json
url = "https://api.datafiniti.co/v3/users"
headers = {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.datafiniti.co/v3/users", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.datafiniti.co/v3/users", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.datafiniti.co/v3/users')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'
response = http.request(request)
puts response.body
[
{
"token": "AAAXXXXXXXXXXXX",
"organization": "Acme Corp",
"email": "user@example.com",
"first_name": "John",
"last_name": "Doe",
"phone_number": "555-123-4567",
"plan_id": "free",
"type": "user",
"active": 1,
"available_downloads": 10000,
"date_registered": "2017-01-01 00:00:00"
}
]
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/users
Username for basic authentication
Password for basic authentication
Request Preview
Response
Response will appear here after sending the request
Authentication
Basic authentication credentials. V3 uses Basic Authentication with your API token as the username and no password. In URL form: https://YOUR_API_TOKEN:@api.datafiniti.co/v3/... In cURL: --user YOUR_API_TOKEN: (note the trailing colon). Get your token from the Datafiniti Web Portal at https://portal.datafiniti.co.
Responses
Your API token
Your organization or company name
Your email address
Your first name
Your last name
Your phone number
The Datafiniti plan to which you're subscribed
Your account type. Should be set to 'user'.
Whether or not your account is active
The number of records you can download at this time
The date your account was created
Error message describing what went wrong
The users endpoint lets you view the status of your Datafiniti account, including your plan information, credit usage, and account details.
Last updated 1 week ago
Built with Documentation.AI